USE [COWS]
GO

/****** Object:  Table [dbo].[PS_REQ_LINE_ITM_QUEUE]    Script Date: 11/08/2016 09:32:47 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

CREATE TABLE [dbo].[PS_REQ_LINE_ITM_QUEUE](
	[REQ_LINE_ITM_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[ORDR_ID] [int] NOT NULL,
	[CMPNT_ID] [int] NULL,
	[REQSTN_NBR] [varchar](10) NOT NULL,
	[MAT_CD] [varchar](10) NULL,
	[DLVY_CLLI] [varchar](20) NULL,
	[ITM_DES] [varchar](254) NULL,
	[MANF_PART_NBR] [varchar](20) NULL,
	[MANF_ID] [varchar](100) NULL,
	[ORDR_QTY] [int] NULL,
	[UNT_MSR] [varchar](3) NULL,
	[UNT_PRICE] [int] NULL,
	[RAS_DT] [datetime] NULL,
	[VNDR_NME] [varchar](30) NULL,
	[BUS_UNT_GL] [varchar](5) NULL,
	[ACCT] [varchar](6) NULL,
	[COST_CNTR] [varchar](10) NULL,
	[PRODCT] [varchar](6) NULL,
	[MRKT] [varchar](4) NULL,
	[AFFLT] [varchar](5) NULL,
	[REGN] [varchar](6) NULL,
	[PROJ_ID] [varchar](15) NULL,
	[BUS_UNT_PC] [varchar](5) NULL,
	[ACTVY] [varchar](15) NULL,
	[SOURCE_TYP] [varchar](5) NULL,
	[RSRC_CAT] [varchar](5) NULL,
	[RSRC_SUB] [varchar](5) NULL,
	[CNTRCT_ID] [varchar](25) NULL,
	[CNTRCT_LN_NBR] [int] NULL,
	[AXLRY_ID] [varchar](24) NULL,
	[INST_CD] [varchar](10) NULL,
	[REC_STUS_ID] [tinyint] NULL,
	[CREAT_DT] [datetime] NULL,
	[SENT_DT] [datetime] NULL,
	[FSA_CPE_LINE_ITEM_ID] [int] NULL,
	[EQPT_TYPE_ID] [varchar](20) NULL,
	[COMMENTS] [varchar](512) NULL,
	[MANF_DISCNT_CD] [varchar](500) NULL,
	[REQ_LINE_NBR] [int] NULL,
 CONSTRAINT [PK_PS_REQ_LINE_ITM] PRIMARY KEY CLUSTERED 
(
	[REQ_LINE_ITM_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [UX01_PS_REQ_LINE_ITM] UNIQUE NONCLUSTERED 
(
	[REQ_LINE_ITM_ID] ASC,
	[ORDR_ID] ASC,
	[REQSTN_NBR] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

SET ANSI_PADDING OFF
GO

ALTER TABLE [dbo].[PS_REQ_LINE_ITM_QUEUE] ADD  DEFAULT ((1)) FOR [REC_STUS_ID]
GO

ALTER TABLE [dbo].[PS_REQ_LINE_ITM_QUEUE] ADD  DEFAULT (getdate()) FOR [CREAT_DT]
GO


